# Register member for loyalty

This endpoint registers a member for a participating location with the loyalty API. This notifies you of all future payments performed by the members at locations you have access to. The payment should have taken place within a 60 minute window of the registration.

Endpoint: POST /loyalty/members
Version: 1.0
Security: JWT

## Header parameters:

  - `Authorization` (string, required)

## Request fields (application/json):

  - `origin` (object, required)

  - `origin.memberId` (string, required)
    Member's Identifier on the app.

  - `locationId` (string, required)
    Tyro Connect's identifier for the location.

## Response 400 fields (application/json):

  - `error` (string)
    The validation error message.


## Response 202 fields

## Response 401 fields

## Response 403 fields
